org.springframework.transaction

## Class InvalidTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.transaction.TransactionException
          - - org.springframework.transaction.TransactionUsageException
            - - org.springframework.transaction.InvalidTimeoutException

All Implemented Interfaces:
  Serializable

    public class InvalidTimeoutException
    extends TransactionUsageException

Exception that gets thrown when an invalid timeout is specified, that is, the specified timeout valid is out of range or the transaction manager implementation doesn't support timeouts.

Since:
  12.05.2003
Author:
  Juergen Hoeller
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidTimeoutException(String msg, int timeout)` Constructor for InvalidTimeoutException.

### Method Summary

Methods
`int` `getTimeout()` Return the invalid timeout value.

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidTimeoutException

    public InvalidTimeoutException(String msg,
                           int timeout)

Constructor for InvalidTimeoutException.

Parameters:
  `msg` - the detail message
  `timeout` - the invalid timeout value

### Method Detail

#### getTimeout

    public int getTimeout()

Return the invalid timeout value.